<bugID>566444<Summary>Make Proxy Exceptions Multi Line</Summary><Description>(Note: this is filed as part of the &#8220;Paper Cut&#8221; bugs &#8212; we assume that there may be multiple existing bugs on this. Please make them block this bug, and we will de-dupe if they are indeed exactly the same. Thanks!)

To reproduce:
1. Go to preferences -&gt; advanced -&gt; network -&gt; settings
2. Click on Manual Proxy Configuration 
3. the "No proxy for: " box should allow for multiple entries

From a User:
"The proxy exception settings ("No proxy for") under: edit-&gt;preferences-&gt;advanced-&gt;network-&gt;settings is completely unusable if you want to bypass the proxy for many sites.
Its a single line text box. At work I have to bypass about 15 (and rapidly increasing) domains. There is no easy way to see all the domains which makes debugging connection issues difficult.
This must be very easy to fix, please make it a multi-line text area and them please make it one domain/pattern per line instead of comma separated."

Recommendation:
Make the text input a multi-line text area</Description></bugID>